Package org.eclipse.emf.cdo.expressions.impl

## Interface InvocationImpl.Invocable

- Enclosing class:
    InvocationImpl

      public static interface InvocationImpl.Invocable

  An abstraction of something that can be invoked, for example an `EOperation` or a `Method`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` |
    `java.lang.Class<?>[]` | `getParameterTypes()` |
    `java.lang.Object` | `invoke​(java.lang.Object[] arguments)` |

- - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getParameterTypes

          java.lang.Class<?>[] getParameterTypes()

    - #### invoke

          java.lang.Object invoke​(java.lang.Object[] arguments)